package com.fidufosyga.rules;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Properties;

import com.fidufosyga.context.Context;
import static com.fidufosyga.rules.ValidarEntidadesContributivo.ENTIDADES_HOMOLOGADA;

/**
 * 
 * @author Julian
 */
public class ValidarEntidadesSubsidiado extends AbstractRule {
        public static final String ENTIDADES_HOMOLOGADA = "ENTIDADES_SUBSIDIADO_HOMOLOGADA";
	public static final String ENTIDADES = "ENTIDADES_SUBSIDIADO";

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
            
                     //Entidades Contributivo Homologadas
        if (Context.getContext().getAttribute(ENTIDADES_HOMOLOGADA) == null) {
            Properties defaultProps = new Properties();
            FileInputStream in;

            try {

                in = new FileInputStream(System.getProperty("user.dir")
                        + File.separator + "entidades" + File.separator
                        + "entidadesSubsidiadoHomologada.properties");
                defaultProps.load(in);
                in.close();
                Context.getContext().addAttribute(ENTIDADES_HOMOLOGADA, defaultProps);

            } catch (FileNotFoundException e) {

                return false;
            } catch (IOException e) {

                return false;

            }

        }  
            
            
		
		if (Context.getContext().getAttribute(ENTIDADES) == null) {
			Properties defaultProps = new Properties();
			FileInputStream in;

			try {

				in = new FileInputStream(System.getProperty("user.dir")
						+ File.separator + "entidades" + File.separator
						+ "entidadesSubsidiado.properties");
				defaultProps.load(in);
				in.close();
				Context.getContext().addAttribute(ENTIDADES, defaultProps);

			} catch (FileNotFoundException e) {

				return false;
			} catch (IOException e) {

				return false;

			}

		}			
		if (((Properties) Context.getContext().getAttribute(ENTIDADES))
				.getProperty(field) != null || 
                    ((Properties) Context.getContext().getAttribute(ENTIDADES_HOMOLOGADA))
				.getProperty(field) != null)  {
			return false;
		}
		return true;
	}
}